Subject: Re: [PATCH] mergetool: Use args as pathspec to unmerged files

From: David Aguilar <[email-masked]>
Date: Sun, 25 Sep 2011 02:45:01 +0200

On Fri, Sep 16, 2011 at 01:17:10PM -0700, Junio C Hamano wrote:
> Jonathon Mah <[email-masked]> writes:
> 
> > Mergetool now treats its path arguments as a pathspec (like other git
> > subcommands), restricting action to the given files and directories.
> > Files matching the pathspec are filtered so mergetool only acts on
> > unmerged paths; previously it would assume each path argument was in an
> > unresolved state, and get confused when it couldn't check out their
> > other stages.
> >
> > Running "git mergetool subdir" will prompt to resolve all conflicted
> > blobs under subdir.
> >
> > Signed-off-by: Jonathon Mah <[email-masked]>
> 
> It looks like this simplifies the code quote a bit and make the result
> easier to follow ;-)  Nicely done.
> 
> As nobody reads from a pipe in while loop and runs merge_file or prompt
> inside, there no longer is a reason to redirect the original standard
> input and make it available, hence we could perhaps add this patch on top
> of your change.
> 
> Ack from mergetool/difftool folks?

I've been on vacation and am just catching up with my git mail.

I just tested:
6bed9767daaa "Merge branch 'jm/mergetool-pathspec' into pu"
and it looks good to me.

FWIW,
Acked-by: David Aguilar <[email-masked]>

Being able to do "git mergetool -- subdir" is very nice!
Thanks guys,
-- 
					David